Generation Framework

## org.eclipse.gmf.gmfgraph
Interface DiagramElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AbstractNode, Compartment, Connection, DiagramLabel, Node

All Known Implementing Classes:
  AbstractNodeImpl, CompartmentImpl, ConnectionImpl, DiagramElementImpl, DiagramLabelImpl, NodeImpl

    public interface DiagramElement

extends Identity

A representation of the model object 'Diagram Element'.

The following features are supported:

- `Figure`
- `Facets`

See Also:
  `GMFGraphPackage.getDiagramElement()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<VisualFacet>` `getFacets()` Returns the value of the 'Facets' containment reference list.
`FigureDescriptor` `getFigure()` Returns the value of the 'Figure' reference
`void` `setFigure(FigureDescriptor value)` Sets the value of the '`Figure`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigure

    FigureDescriptor getFigure()

  Returns the value of the 'Figure' reference.

  If the meaning of the 'Figure' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Figure' reference.
  See Also:
    `setFigure(FigureDescriptor)`, `GMFGraphPackage.getDiagramElement_Figure()`
  ** Generated **
  Model:
    required="true"

### setFigure

    void setFigure(FigureDescriptor value)

  Sets the value of the '`Figure`' reference.

  Parameters:
    `value` - the new value of the 'Figure' reference.
  See Also:
    `getFigure()`
  ** Generated **

### getFacets

    org.eclipse.emf.common.util.EList<VisualFacet> getFacets()

  Returns the value of the 'Facets' containment reference list. The list contents are of type `VisualFacet`. anything to further specify constraint or any other aspect of the element

  Returns:
    the value of the 'Facets' containment reference list.
  See Also:
    `GMFGraphPackage.getDiagramElement_Facets()`
  ** Generated **
  Model:
    containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.